<?php 
/**
 * Theme:  	  silverOrchid
 * Theme URL: http://gazpo.com/2012/04/silverorchid 
 * Created:   April 2012
 * Author:    Sami Ch.
 * URL: 	  http://gazpo.com
 * 
 **/
 
load_theme_textdomain('gazpo', TEMPLATEPATH . '/Lang');
 
require( get_template_directory() . '/settings/gazpo-options.php' );
require( get_template_directory() . '/widgets/ad125.php' );
require( get_template_directory() . '/widgets/facebook.php' );
require( get_template_directory() . '/widgets/twitter.php' );
//require( get_template_directory() . '/widgets/subscribers_count.php' );

if (!is_admin()){
	add_action('wp_enqueue_scripts', 'gazpo_script_loader');
}    

if (!function_exists('gazpo_script_loader')) {
    function gazpo_script_loader() {
		wp_enqueue_script('jquery-ui-tabs-rotate', get_template_directory_uri().'/js/jquery-ui-tabs-rotate.js', array('jquery', 'jquery-ui-tabs'));
		wp_enqueue_script('gazpo_custom', get_template_directory_uri().'/js/gazpo_custom.js', array('jquery', 'jquery-ui-tabs-rotate'));
		wp_enqueue_script('jcarousellite', get_template_directory_uri() . '/js/jcarousellite_1.0.1.min.js', array('jquery'), '1.0.1', false);
    }
}

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 70, 25, true ); 
}

if ( !isset($content_width) ) {
	$content_width = 600;
}

if ( function_exists('add_theme_support') ) {
	add_theme_support('automatic-feed-links');
}

if ( function_exists('add_theme_support') ){
	add_theme_support('post-thumbnails');
}

if ( function_exists('add_editor_style') ) {
	add_editor_style();
}

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'name' => 'Sidebar',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
		));
	
	register_sidebar(array(
		'name' => 'Footer',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	));
}

function gazpo_pagination( $type = 'plain', $endsize = 1, $midsize = 1 ) {
	global $wp_query, $wp_rewrite;	
	$wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

	if ( ! in_array( $type, array( 'plain', 'list', 'array' ) ) ) $type = 'plain';
	$endsize = (int) $endsize;
	$midsize = (int) $midsize;

	$pagination = array(
		'base' => @add_query_arg('paged','%#%'),
		'format' => '',
		'total' => $wp_query->max_num_pages,
		'current' => $current,
		'show_all' => false,
		'end_size' => $endsize,
		'mid_size' => $midsize,
		'type' => $type,
		'prev_text' => '&larr;',
		'next_text' => '&rarr;'
	);

	if( $wp_rewrite->using_permalinks() )
		$pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );

	if( !empty($wp_query->query_vars['s']) )
		$pagination['add_args'] = array( 's' => get_query_var( 's' ) );

	return paginate_links( $pagination );
}

function gazpo_wp_title( $old_title, $sep, $sep_location ) {
    global $page, $paged;
    $gazpo_title_text = $old_title . get_bloginfo( 'name' );
    $sep = ' ' . $sep . ' ';

    $site_tagline = get_bloginfo( 'description', 'display' );
    if ( $site_tagline && ( is_home() || is_front_page() ) )
        $gazpo_title_text .= "$sep$site_tagline";

        if ( $paged >= 2 || $page >= 2 )
            $gazpo_title_text .= $sep . sprintf( __( 'Page %s', 'silverorchid' ), max( $paged, $page ) );
    
	return $gazpo_title_text;
}
add_filter( 'wp_title', 'gazpo_wp_title', 10, 3 );


function register_my_menus() {
register_nav_menus( array(
		'header_menu' => __( 'Header Navigation', 'silverorchid' ),
		) );	
}
add_action( 'init', 'register_my_menus' );

//remove default RSS links from header
remove_action( 'wp_head', 'feed_links', 2 );
?>
<?php
function wp_admin_dashboard_add_news_feed_widget() {
global $wp_meta_boxes;

wp_add_dashboard_widget( 'dashboard_mw_feed', 'بیگ تم همیار وردپرس شماست', 'dashboard_mw_feed_output' );
}
add_action('wp_dashboard_setup', 'wp_admin_dashboard_add_news_feed_widget');

function dashboard_mw_feed_output() {
echo '<div class="bigtheme">';
wp_widget_rss_output(array(
'url' => 'http://bigtheme.ir/feed/',
'title' => __('Latest News From bigtheme.ir', 'business'),
'items' => 5,
'show_summary' => 0,
'show_author' => 0,
'show_date' => 0
));
wp_widget_rss_output( $args );
echo '<p style="border-top: 1px solid #CCC;">';
echo '<p>' . __('پشتیبانی این قالب به صورت رایگان می باشد اگر مشکل یا سوالی داشتید به سایت <a target=_blank" href="http://bigtheme.ir">بیگ تم </a> مراجعه کنید','business') . '</p>';
echo "</p>";
echo "</div>";
} 
function thsp_enqueue_pointer_script_style( $hook_suffix ) {
	
	$enqueue_pointer_script_style = false;

	$dismissed_pointers = explode( ',', get_user_meta( get_current_user_id(), 'dismissed_wp_pointers', true ) );

	if( !in_array( 'thsp_settings_pointer', $dismissed_pointers ) ) {
		$enqueue_pointer_script_style = true;
		
		add_action( 'admin_print_footer_scripts', 'thsp_pointer_print_scripts' );
	}

	if( $enqueue_pointer_script_style ) {
		wp_enqueue_style( 'wp-pointer' );
		wp_enqueue_script( 'wp-pointer' );
	}
	
}
add_action( 'admin_enqueue_scripts', 'thsp_enqueue_pointer_script_style' );

function thsp_pointer_print_scripts() {

	$pointer_content  = '<h3>' . __( 'نکته','business' ) . '</h3>';
	$pointer_content .= '<p>' . __( 'برای عدم نمایش این باکس می توانید در قسمت بالا روی راهنما کلیک کنید !','business' ) . '</p>';
	?>
	
	<script type="text/javascript">
	//<![CDATA[
	jQuery(document).ready( function($) {
		$('.bigtheme').pointer({
			content:		'<?php echo $pointer_content; ?>',
			position:		{
								edge:	'right',
								align:	'center'
							},
			pointerWidth:	350,
			close:			function() {
								$.post( ajaxurl, {
										pointer: 'thsp_settings_pointer',
										action: 'dismiss-wp-pointer'
								});
							}
		}).pointer('open');
	});
	//]]>
	</script>

<?php } ?>